RoutesUsers module
Users routes
URLs the Users module answers, their parameters and the variables each view receives.
Admin view
/cdna-admin/users/add-author/{person.id}
addAuthor
Add a new record. Assigns an empty record to the template.
Path parameters
person.id matches \d+
| Variable | Type | Description |
|---|---|---|
$author |
Author |
Single (empty) Author record |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/cdna-admin/users/author/{id}
editAuthor
Retrieve a single record and display the edit page for the record
Path parameters
id matches \d+
| Variable | Type | Description |
|---|---|---|
$author |
Author |
Retrieved Author record |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/cdna-admin/users/authors
manageAuthors
Retrieve available records and assign them to the template for editing.
| Variable | Type | Description |
|---|---|---|
$authors |
Collection<Author> |
Collection of Authors |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/cdna-admin/users/add-user/{person.id}
addUser
Add a new record. Assigns an empty record to the template.
Path parameters
person.id matches \d+
| Variable | Type | Description |
|---|---|---|
$user |
User |
Single (empty) User record |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/cdna-admin/users/add-author-user/{author.id}
addAuthorUser
Add a new record. Assigns an empty record to the template.
Path parameters
author.id matches \d+
| Variable | Type | Description |
|---|---|---|
$user |
User |
Single (empty) User record |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/cdna-admin/users/user/{id}
editUser
Retrieve a single record and display the edit page for the record
Path parameters
id matches \d+
| Variable | Type | Description |
|---|---|---|
$user |
User |
Retrieved User record |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/cdna-admin/users/users/{person.groups.id}
manageUsers
Retrieve available records and assign them to the template for editing.
Path parameters
person.groups.id matches \d+
| Variable | Type | Description |
|---|---|---|
$users |
Collection<User> |
Collection of Users |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/cdna-admin/users/add-person
addPerson
Add a new record. Assigns an empty record to the template.
| Variable | Type | Description |
|---|---|---|
$person |
Person |
Single (empty) Person record |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/cdna-admin/users/person/{id}
editPerson
Retrieve a single record and display the edit page for the record
Path parameters
id matches \d+
| Variable | Type | Description |
|---|---|---|
$person |
Person |
Retrieved Person record |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/cdna-admin/users/people/{groups.id}
managePeople
Retrieve available records and assign them to the template for editing.
Path parameters
groups.id matches \d+
| Variable | Type | Description |
|---|---|---|
$people |
Collection<Person> |
Collection of People |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/cdna-admin/users/add-group
addGroup
Add a new record. Assigns an empty record to the template.
| Variable | Type | Description |
|---|---|---|
$group |
Group |
Single (empty) Group record |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/cdna-admin/users/group/{id}
editGroup
Retrieve a single record and display the edit page for the record
Path parameters
id matches \d+
| Variable | Type | Description |
|---|---|---|
$group |
Group |
Retrieved Group record |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/cdna-admin/users/groups
manageGroups
Retrieve available records and assign them to the template for editing.
| Variable | Type | Description |
|---|---|---|
$groups |
Collection<Group> |
Collection of Groups |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/cdna-admin/users/add-person-address-type
addPersonAddressType
Add a new record. Assigns an empty record to the template.
| Variable | Type | Description |
|---|---|---|
$personAddressType |
PersonAddressType |
Single (empty) PersonAddressType record |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/cdna-admin/users/person-address-type/{id}
editPersonAddressType
Retrieve a single record and display the edit page for the record
Path parameters
id matches \d+
| Variable | Type | Description |
|---|---|---|
$personAddressType |
PersonAddressType |
Retrieved PersonAddressType record |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/cdna-admin/users/person-address-types
managePersonAddressTypes
Retrieve available records and assign them to the template for editing.
| Variable | Type | Description |
|---|---|---|
$personAddressTypes |
Collection<PersonAddressType> |
Collection of PersonAddressTypes |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
Only GET routes list their variables.